<div class="flex flex-col h-full justify-between">
  <!-- content -->

  <main class="max-w-3xl mx-auto px-4 mb-auto">
    <!-- link to workflow -->
    <div class="text-center mt-20 mb-20">
      <!-- <shared-login-buttons></shared-login-buttons> -->
    </div>

    <!-- link to tutorial -->

    <!-- about -->
    <div class="particles-container">
      <ng-particles
        [id]="id"
        [options]="particlesOptions"
        [particlesInit]="particlesInit"
        (particlesLoaded)="particlesLoaded($event)"
      ></ng-particles>
    </div>

    <mat-card class="metadata-card">
      <img src="assets/img/Logo.png" alt="Logo" class="logo" />
      <mat-card-header>
        <mat-card-title class="text-center headline">
          Welcome to MetaForge
        </mat-card-title>
      </mat-card-header>
      <mat-card-content class="metadata-content">
        <p class="paragraph">
          MetaForge stands as a powerful metadata conversion and annotation
          tool, meticulously crafted to streamline and standardize data formats
          within the dynamic field of metaproteomics. This tool seamlessly
          converts a variety of data formats, including CSV, PSM, XML, and MGF,
          into standardized outputs such as SDRF, MzID, and MzML. Going beyond
          conventional conversion tools, MetaForge enriches datasets with
          user-friendly features, integrating metadata effortlessly. Its
          intuitive interface empowers users to incorporate relevant
          information, transforming datasets not only into standardized formats
          but also infusing them with comprehensive metadata. This approach
          enhances the organization, interpretation, and sharing of data from
          both laboratory and bioinformatic workflows. A notable feature of
          MetaForge is its ability to annotate existing mzID and mzML files with
          additional metadata, offering an all-encompassing solution for
          researchers and practitioners. MetaForge provides an efficient means
          to manage and annotate data, ultimately streamlining the analytical
          workflow in the ever-evolving realm of metaproteomics. Experience the
          next level of data management and annotation with MetaForge.
        </p>
      </mat-card-content>
    </mat-card>
    <br />

      <div class="button-wrapper">
        <button mat-flat-button color="primary" routerLink="/workflow">
          Start Workflow
        </button>
        <!-- <button mat-flat-button color="accent" routerLink="/tutorial">
          Tutorial
        </button> -->
      </div>

    <!-- link to repo and publication -->
    <mat-grid-list cols="2" rowHeight="300px" gutterSize="10px">
      <mat-grid-tile>
        <!-- <mat-card (click)="goToLink('your-publication-link')"> -->
        <mat-card>
          <mat-card-header>
            <mat-icon>article</mat-icon>
            <mat-card-title>Citing</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <p>Our fancy publication can be read here.</p>
          </mat-card-content>
        </mat-card>
      </mat-grid-tile>

      <mat-grid-tile>
        <mat-card
          (click)="
            goToLink(
              'https://gitlab.com/kay.schallert/mpa-website/-/tree/mpa_development?ref_type=heads'
            )
          "
        >
          <mat-card-header>
            <mat-icon>code</mat-icon>
            <mat-card-title>Source Code</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <p>Our fancy GitHub repo can be found here.</p>
          </mat-card-content>
        </mat-card>
      </mat-grid-tile>

      <!-- <mat-grid-tile>
        <mat-card>
          <mat-card-header>
            <mat-icon>business</mat-icon>
            <mat-card-title>Affiliations</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <p>We are funded by </p>
          </mat-card-content>
        </mat-card>
      </mat-grid-tile> -->
    </mat-grid-list>
  </main>
</div>
